Bug 142084 - net-mgmt/mrtg port is broken
Summary: net-mgmt/mrtg port is broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-27 21:50 UTC by Karl Denninger
Modified: 2010-01-10 15:10 UTC (History)
0 users

See Also:


Attachments
mrtg_diff.txt (7.06 KB, text/plain)
2010-01-05 14:12 UTC, Alexey V. Panfilov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karl Denninger 2009-12-27 21:50:01 UTC
	MRTG port builds correctly but both cfgmaker and mrtg fail 
	at execution with:

# cfgmaker read@genesis.denninger.net
Can't locate SNMP_util.pm in @INC (@INC contains: /usr/local/bin/../lib/mrtg2 /usr/local/bin /usr/local/lib/perl5/5.8.8/BSDPAN /usr/local/lib/perl5/site_perl/5.8.8/mach /usr/local/lib/perl5/site_perl/5.8.8 /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/5.8.8/mach /usr/local/lib/perl5/5.8.8 .) at /usr/local/bin/cfgmaker line 105.

Appears to be either a renamed library for perl or mismatch between perl 
mrtg.  The port appears to be current vis-a-vis the MRTG web page.

How-To-Repeat: 	cd /usr/ports/net-mgmt/mrtg
	make
	make install
	rehash
	cfgmaker role@some-snmp-host
Comment 1 Edwin Groothuis freebsd_committer 2009-12-31 06:40:08 UTC
Maintainer of net-mgmt/mrtg,

Please note that PR ports/142084 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/142084

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-12-31 06:40:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Alexey V. Panfilov 2010-01-05 14:12:27 UTC
Hi!

It occurs when selected option "SNMPv3". Fixed.
Also "mrtg-traffic-sum" installs again.

Patch attached.

Thanks for report.

--
Alexey V. Panfilov
Comment 4 Wesley Shields freebsd_committer 2010-01-05 14:42:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 5 Wesley Shields freebsd_committer 2010-01-10 15:09:24 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2010-01-10 15:09:33 UTC
wxs         2010-01-10 15:09:14 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/mrtg        Makefile pkg-plist 
  Log:
  - Fix build with SNMP option.
  - Also install mrtg-traffic-sum again.
  - Update maintainer address.
  
  PR:             ports/142084
  Submitted by:   Karl Denninger <karl@FS.denninger.net>
  Approved by:    Alexey V. Panfilov <mrtg@subnets.ru> (maintainer)
  
  Revision  Changes    Path
  1.101     +5 -6      ports/net-mgmt/mrtg/Makefile
  1.26      +54 -53    ports/net-mgmt/mrtg/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"